/*
** CAboutDialog.h
**
**	About box library
**	Dialog box class
**
**	Copyright  1993, FrostByte Design / Eric Scouten
**
*/


#pragma once

#include <CDLOGDialog.h>


/*______________________________________________________________________
**
** CAboutDialog
**
**	A specialized dialog-box class, primarily for use with about boxes and splash screens
**	at application start-up. Its three customizations are:
**
**		1.   to automatically substitute a black-and-white version of a picture when the pixel
**			depth is inadequate for displaying full-color pictures
**		2.   to allow the designer of the dialog box to specify which font will be used
**			for static-text items
**		3.   to provide a mechanism to substitute the applications version number, which
**			is read from the 'vers' resource.
**
*/

class CAboutDialog : public CDLOGDialog {

	// construction/destruction

public:
	void IAboutDialog (short DLOGid, CDesktop *anEnclosure, CDirector *aSupervisor);


	// special item-handling methods
	
	CPane *AddDITLStatText (short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	CPane *AddDITLPicture (short aWidth, short aHeight, short hEncl, short vEncl,
						CView *enclosure, tDITLItem *ditlItem);
	CPane *AddOverloadedItem (StringPtr itemText, short aWidth, short aHeight, 
							short hEncl, short vEncl, CView *enclosure,
							tDITLItem *ditlItem);


	// utility procedures

protected:
	void CollectUntilHiBit (StringPtr text, short *index, StringPtr returnStr);
	void ExpandHiBit (unsigned char theChar, StringPtr returnStr);
	void GetVersion (short versID, Str255 theString);

};
