/*
** CAboutDirector.h
**
**	About box library
**	Dialog director class
**
**	Copyright  1993, FrostByte Design / Eric Scouten
**
*/


#pragma once

#include <CDLOGDirector.h>


/*______________________________________________________________________
**
** CAboutDirector
**
**	Dialog director for our snazzy about box class. Provides a specialized modal dialog box
**	method (DoAbout) which can remove all button items from the dialog and remove the
**	dialog after a set number of clock ticks.
**
**	This class works in tandem with the CAboutDialog class.
**
*/

class CAboutDirector : public CDLOGDirector {

	long		expireTicks;					// tick count at end of dialog
	Boolean	hasButtons;					// flag: do we have any buttons in this window?


	// construction/destruction

public:
	void IAboutDirector (short DLOGid, CDirectorOwner *aSupervisor);


	// displaying methods
	
	void DoAbout (Boolean killButtons, short maxTicks);
	void PseudoModalGetNextEvent (void);

};
