/*
** CTelnetSettingsDLOG.h
**
**	MiniTelnet application
**	Telnet settings dialog director
**
**	Copyright  1993, FrostByte Design / Eric Scouten
**
*/


#pragma once

#include <CDLOGDirector.h>
#include "MiniTelnet.const.h"


/*______________________________________________________________________
**
** CTelnetSettingsDLOG
**
**	This class provides the dialog box used to collect information on the Telnet connection.
**	It packages these settings into a record used by CTelnetTerminal to open connections.
**
*/

class CTelnetSettingsDLOG : public CDLOGDirector {

public:
	TelnetSettingsRec	r;				// settings record (see TelnetSettingsRec)


	// initialization

	void ITelnetSettingsDLOG (CDirectorOwner *aSupervisor);


	// settings record functions

	virtual void DefaultSettings (void);
	virtual void GrabSettings (void);
	virtual void PutSettings (void);


	// dialog handling functions

	virtual void DoCommand (long theCommand);
	virtual void UpdateMenus (void);


	// file interactions

	virtual void DoSaveFile (void);

};