/*
** TurboTCP.includes.cp
**
**	TurboTCP support library
**	Precompiled headers for Think C
**
**	Copyright  1993, FrostByte Design / Eric Scouten
**	Portions copyright  1993 Symantec Corporation.  All rights reserved.
**
*/


#define TurboTCPHeaders

/*______________________________________________________________________
**
** __TCL_DEBUG__
**
**	If this macro is defined, you should use the debug version of the appropriate oops
**	library in your project.
**
*/

#define __TCL_DEBUG__


/*______________________________________________________________________
**
** Apple header files
**
*/

#if !__cplusplus
	#include "Mac #includes.c"
#else
	#include "Mac #includes.cpp"
#endif


//	 additional standard headers 

#include <Folders.h>
#include <GestaltEqu.h>
#include <Global.h>
#include <Packages.h>
#include <Traps.h>


//	 MacTCP headers 

#include <GetMyIPAddr.h>
#include <MacTCPCommonTypes.h>
#include <TCPPB.h>


/*______________________________________________________________________
**
**	Symantec header files
**
*/

//	 commonly used non-OOP TCL headers 

#include <Global.h>
#include <Constants.h>
#include <Commands.h>
#include <OSChecks.h>
#include <TCLUtilities.h>
#include <TBUtilities.h>
#include <LongCoordinates.h>
#include <Exceptions.h>


//	 commonly used TCL classes 

#include <CObject.h>
#include <CCollaborator.h>
#include <CCollection.h>
#include <CArray.h>
#include <CBureaucrat.h>
#include <CDirectorOwner.h>
#include <CApplication.h>
#include <CDirector.h>
#include <CError.h>
#include <CView.h>
#include <CPane.h>
#include <CDesktop.h>
#include <CBartender.h>
#include <CClipboard.h>
#include <CChore.h>
#include <CSwitchboard.h>
#include <CWindow.h>
#include <CCluster.h>
#include <CList.h>
#include <CTask.h>
#include <CPanorama.h>
#include <CScrollPane.h>
#include <CAppleEvent.h>
#include <CDecorator.h>
#include <CDialog.h>
#include <CButton.h>
#include <CCheckBox.h>
#include <CEditText.h>
#include <CDocument.h>


/*______________________________________________________________________
**
**	TurboTCP header files
**
*/

//	 handy stuff 

#include "cast.h"
#include "CDisposerChore.h"


//	 TurboTCP classes 

#include "TurboTCP.const.h"

// do this later, once the interface is stable 